id: hugegraph-detect

info:
  name: HugeGraph - Detect
  author: rxerium
  severity: info
  description: |
    A huge graph technology was detected.
  reference:
    - https://hugegraph.apache.org/
  metadata:
    max-request: 1
    verified: true
    shodan-query: html:"https://hugegraph.github.io"
  tags: hugegraph,tech,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}"

    matchers-condition: and
    matchers:
      - type: word
        part: body
        words:
          - '"service":"hugegraph"'

      - type: status
        status:
          - 200
# digest: 490a004630440220141c2ceb51a1c6e989b395a42a6c768f7ab73c0629abcb686113ebed2753b5f002200c65d4aac83ddd9921aeeaaf65ed7cf8da3873f402ffd52df76231c5265cd9f0:922c64590222798bb761d5b6d8e72950